Bug 178398 - wish: invert the kwin cube navigation keys
Summary: wish: invert the kwin cube navigation keys
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Unclassified
Component: compositing (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR wishlist with 1 vote (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-12-21 20:29 UTC by Diederik van der Boor
Modified: 2009-02-06 10:24 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Diederik van der Boor 2008-12-21 20:29:06 UTC
Version:           onbekend (using 4.1.85 (KDE 4.1.85 (KDE 4.2 Beta2)) "release 3.1", KDE:KDE4:UNSTABLE:Desktop / openSUSE_11.1)
Compiler:          gcc
OS:                Linux (i686) release 2.6.27.7-9-pae

When the cube is displayed, and you want to see the side on the right, pressing right will move the cube in the opposite direction.

I think this needs to be reversed. Users want to access the deskop 'at the right', instead of 'rotating the cube in the right direction'. AFAIK compiz had it reversed, and I find the current setting of kwin a bit confusing.
Comment 1 Martin Flöser 2008-12-21 20:56:08 UTC
And as easily you could discuss the oposite way. I did the test before implementing it. Asked several people how they would expect it and I got about 50 % for both ways. Guess the only thing we could do is adding a checkbox to the settings to invert.
Comment 2 Diederik van der Boor 2008-12-23 23:23:25 UTC
> Asked several people how they would expect it and I got about 50 % for both ways.
> Guess the only thing we could do is adding a checkbox to the settings to invert.

Agreed :-) and I'd love to see such checkbox :-)
Comment 3 Martin Flöser 2009-02-06 10:24:13 UTC
SVN commit 922025 by graesslin:

Option to invert mouse and cursor keys in cube mode.
FEATURE: 178398


 M  +122 -38   cube.cpp  
 M  +2 -0      cube.h  
 M  +10 -0     cube_config.cpp  
 M  +30 -1     cube_config.ui  
 M  +14 -0     cylinder_config.cpp  
 M  +26 -13    cylinder_config.ui  
 M  +11 -1     sphere_config.cpp  
 M  +25 -12    sphere_config.ui  


WebSVN link: http://websvn.kde.org/?view=rev&revision=922025